<template>
  <navbar v-if="$route.name !== 'Workshop'" />
  <router-view />
  <production-ver v-if="$route.name !== 'Workshop'" />
</template>

<script>
import Navbar from './components/Navbar.vue';
import ProductionVer from './components/ProductionVer.vue';

export default {
  name: 'App',
  components: {
    Navbar,
    ProductionVer,
  },
};
</script>

<style lang="scss">
body{
  @apply min-h-screen text-slate-800 font-medium;

  a {
    @apply text-lessons;

    &.router-link-exact-active {
      @apply text-slate-600;
    }
  }

}

#app {
  @apply font-raleway text-center;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
</style>
